const algorithmia = require("algorithmia");

function isPrimitive(test) {
  return (test !== Object(test));
}

module.exports.lambda = async (event, context) => {
  console.log(`Event: ${event}`)
  const input = isPrimitive(event) ? event : JSON.stringify(event);
  const response = await algorithmia.client(process.env.apiKey)
    .algo(process.env.algorithm)
    .pipe(input)

  if (response.error) {
    console.error(response.error.message)
    return {error: response.error.message}
  } else {
    const res = response.get()
    console.log(`Result: ${res}`)
    return {result: res}
  }
}
